i
ShareChat
Filter interviews by
I was interviewed in May 2021.
Round duration - 90 Minutes
Round difficulty - Hard
Test Description/Instruction as Mentioned on the portal and mail :
1) The test will consist of 3 algorithmic problems.
2) The test time is 1.5 hours in which you will need to solve the 3 problems. The test link will be active from 10:00 AM onwards.
3) Please do not change the tabs since all the actions will be recorded and logged.
Assist Ninja in altering the color of a specific region in his photo. Given the image as a 2D array where each pixel is a positive integer, update the color of a specified pixel ...
The Flood Fill Algorithm is used to change the color of a particular region in an image and all its adjacent same-colored pixels.
The image is represented as a 2D array of positive integers
The starting pixel and new color are given
Adjacent pixels are connected in up, down, left, or right directions
Diagonal pixels are not considered adjacent
Implement the Flood Fill Algorithm to replace the color of the given pixel and it...
You are given a connected undirected weighted graph. Your task is to determine the weight of the minimum spanning tree of this graph.
A minimum...
The task is to find the weight of the minimum spanning tree of a given connected undirected weighted graph.
Implement Kruskal's algorithm to find the minimum spanning tree
Use a disjoint set data structure to keep track of connected components
Sort the edges in non-decreasing order of their weights
Iterate through the sorted edges and add them to the minimum spanning tree if they don't create a cycle
Return the sum of weigh
You are given a sequence of numbers, ARR
. Your task is to return a sorted sequence of ARR
in non-descending order using the Merge Sort algorithm.
The Merge Sort...
The task is to implement the merge sort algorithm to sort a given sequence of numbers in non-descending order.
Merge sort is a divide and conquer algorithm that recursively divides the input array into two halves until the size becomes 1.
Then it merges the two sorted halves to produce a single sorted array.
The time complexity of merge sort is O(n log n), where n is the size of the input array.
The algorithm is efficient ...
Tip 1 : Practice Atleast 300 Questions on leetcode (150 easy, 100 medium and 50 hard )
Tip 2 : Make atleast one big project which includes (DB, backend and frontend). Because in Hiring Manager round we have to discuss our resume for about 45mins to 1 Hr so having 1 or 2 big projects on the resume is always good to have otherwise HM will go towards core subjects Like OOP/OS/Networks which are often tricky.
Tip 3 : Think out of the box while solving a Question think of all the variants in which this questions can be asked. Let's take an example of simple question like two sum here we have to find a pair in an array whose sum is equal to given value. Now what if Interviewer asked to find three numbers instead of 2 or maybe find k numbers whose sum is equal to a given number. So it is always good to think out of the box and generalise the solution.
Tip 4 : Always try to solve each question in different ways. You should know both the bruteforce solution and the optimal one.
Tip 5 : When you solve a Question try to learn as much possible from a single Question for eg if you try to solve a Tree question then it is good to know both the iterative and recursive solution as sometimes Interviewer may introduce some constraints that due to huge test case recursive solution is not possible.
Tip 6 : 3-4 days before the interview start preparing using interviewbit as it contains all the important questions topic wise. I usually solve Interviewbit before the interview. No doubt Leetcode is good in terms of UI, Test cases and Easy to use but Interviewbit is more organised. I myself have done all the Interviewbit Questions multiple times.
Tip 1 : Try to add Experience at the top with detailed explanation of work done by you
Tip 2 : If No Experience: try to add more and more personal projects with the skills required in JD
Tip 3 : If No projects and Experience: Try to add Coding profiles, Achievements (Hackathons and Coding Competitions )
I was interviewed in Sep 2020.
Round duration - 180 Minutes
Round difficulty - Easy
There were 3 coding questions.
1 easy
1 medium
1 hard
You are given a task to help ninjas maximize their practice area in a dense forest represented by a sequence of trees (1s) and empty places (0s) in the binary representat...
Approach: The idea is to count a number of ones on both sides of each zero. The required index is the index of zero having a maximum number of ones around it. Following variables are used in implementation:
Steps:
Ninja has been given a Postfix expression and requires assistance in converting it to a Prefix expression.
A Postfix expression is formatted such that the operator fo...
Here, to convert from postfix to prefix, we can simply use stack data structure. We will be following two conditions as follow:
This process should repeat till the end of prefix expression.
&n...
Ninja is adventurous and loves traveling while being mindful of his expenses. Given a set of 'N' stations connected by 'M' trains, each train starting from station 'A' and r...
We can see that for a node, we are finding the ticket price from that node to the destination multiple times, in order to avoid repeated calculations, we store the result in our ‘dp’ matrix.
Algorithm:
Round duration - 45 Minutes
Round difficulty - Medium
2 coding questions were asked
2 medium questions
You are given D
dice, each having F
faces numbered from 1 to F
. The task is to determine the number of possible ways to roll all the dice such that the sum of the face-up num...
You are provided with a matrix/list called 'EDGES' representing 'E' edges of a directed graph with 'N' nodes. Starting from a node 'START', a character named Ninja walks along a di...
The idea behind this approach is we try to find if there is a cycle from the node we start. If we are able to find it, then we will mark that node and remove it, and if we cannot reach it, then after some number of steps, we'll stop.
A node will be ultimately safe if all of its outgoing edges to nodes are safe.
We start with the nodes with zero outgoing edges, which are already safe.
We can consider any nod...
Round duration - 60 Minutes
Round difficulty - Easy
1 coding question was asked and resume related and 1 Javascript related question.
Given a network of nodes numbered from 1 to 'N', and 'M' edges. Each edge is represented by three values (u, v, w) where 'u' and 'v' are nodes, and 'w' is an integer r...
The basic idea of this approach is to find the shortest path from the source node (‘K’) to each node in the network. We will use Dijkstra’s Algorithm to achieve this task. We will use priority_queue based implementation for this problem.
You can refer here for a more detailed explanation of Dijkstra’s Algorithm -
Now, consider the following steps:
Tip 1 : Practice Leetcode medium level questions properly
Tip 2 : Low-level and high-level system design is very important
Tip 3 : Always make notes of core subjects like DBMS, OS, CN beforehand to be able to revise before interviews
Tip 1 : Write the technology about which you know in detail and can discuss pros and cons of using it.
Tip 2 : Prepare your resume well and add 2 good projects for project discussion with good readme file on github.
Top trending discussions
I applied via Campus Placement and was interviewed in Jan 2024. There were 4 interview rounds.
Easy to medium level of leet code
Answering questions related to Fibonacci series, string palindrome, and counting repeated numbers in an array.
For Fibonacci series with recursion, write a function that calls itself to calculate the next number in the series.
For Fibonacci series without recursion, use a loop to calculate the series.
For string palindrome, compare characters from start and end of the string.
To count all repeated numbers from the array, u
Rotate array to find max sum of i*A[i]
Rotate array to bring maximum element to front
Calculate sum of i*A[i] for each rotation
Keep track of maximum sum found
I was interviewed before Aug 2023.
3 question of basic and 3 mcq
Strings,Sort 0 1 2,invert binary tree
My daily routine involves coding, debugging, attending meetings, and learning new technologies.
Start the day by checking emails and prioritizing tasks
Code and debug new features or fix existing issues
Attend team meetings to discuss progress and roadblocks
Spend time learning new technologies or improving coding skills
Collaborate with team members on projects
I was interviewed in Feb 2021.
Round duration - 24 hours
Round difficulty - Medium
Round duration - 120 Minutes
Round difficulty - Medium
It was a Data Structures and Algorithm Round and Discussion on My assignment round to check my Problem Solving Skills.
And the Interviewer was very friendly to me. I first introduced myself to the interviewer and what did I have done in past as a Software Engineer and Why I want to work in Grofers.
Given a binary tree of integers, the task is to return the top view of the given binary tree. The top view of the binary tree is the set of nodes visible when viewed from the top.
...As we know that all three traversals, i.e. pre-order, in-order and post-order, visit the tree node at once. We can use any of them. Here we are going to use pre-order traversal for the explanation. So while traversing in the pre-order traversal, we will keep track of horizontal distance of the node which is going to be visited from the root node, and we also keep track of the vertical level of ...
Given an array ARR
consisting of exactly four integer digits, your task is to form the maximum possible valid time in a 24-hour format using those digits.
Approach:
Algorithm:
Tip 1 : Practise Data Structures and Algorithms as much as you can on daily basis. Don't Fix numbers in your head, but practise as much as you can from all topics on daily basis.
Tip 2 : Give Programming Contests on a Daily basis. As it helps you to think of any particular problem in the fixed time frame.
Tip 3 : For Mastering DP, Learn From Aditya Verma Youtube Playlist and apply around 100 questions for solving any DP problem.
Tip 4 : Also Learn Computer Science theory subject once a week so that you will have a deep understanding of the particular subject since many interviews grind on CS theory subjects like OS, DBMS and Networks
Tip 5 : Make at least 2-3 Projects in any technology you like maybe Web Development or Android Development. It shows that you have some experience in Development and the company don't need to waste time on you for teaching frameworks.
Tip 6 : If you have time learn some System Design and learn how to design any system from end to end. Especially learn about designing a database of any application. In many interviews, the interviewer asks to design an application from end to end. So if you have some practice, then you can easily clear this type of rounds.
Tip 1 : Always attached your Project links in your resume. As it seems your project is genuine and you are confident in showing your projects
Tip 2 : Don't add unnecessary things in your resume which are not related to the job, like your 10th class winning tournament certificate or managing a college society. These things didn't create any impact on your profile and takes an unnecessary space in your resume.
Tip 3 : Always make a 1-page resume. If you are making more than 1 page then it means you have added a lot of unnecessary information which are not related to the job profile.
Tip 4 : Always show your Project and Past experience on top, just after your basic info and education. Since these are the things which should be on top to showcast the skills.
The exam duration is one and a half hours.
The total exam time is one and a half hours.
It encompasses all topics related to full stack development.
In two years, I see myself as a senior software developer leading a team on innovative projects.
Advancing to a senior software developer role
Leading a team on new and innovative projects
Continuing to enhance my technical skills through ongoing learning and training
I applied via Company Website and was interviewed in Jan 2024. There were 2 interview rounds.
Java, springboot, mysql
I applied via Referral and was interviewed in Jan 2023. There were 4 interview rounds.
It was both aptitude and coding test.
Comprises of around same weightage.
Coding questions were some famous easy questions.
Adding a node in LinkedList involves creating a new node and updating pointers. Removing a duplicate node requires iterating through the list and comparing values.
To add a node, create a new node with the desired value and update pointers accordingly.
To remove a duplicate node, iterate through the list and compare each node's value with others to identify duplicates.
After identifying a duplicate node, update pointers t
I applied via Naukri.com and was interviewed before Jun 2022. There were 4 interview rounds.
Basic python code test along with api questions
Senior Associate Operations
135
salaries
| ₹4 L/yr - ₹8.8 L/yr |
Operations Associate
104
salaries
| ₹3.5 L/yr - ₹6.1 L/yr |
Lead Operator
82
salaries
| ₹6.5 L/yr - ₹12 L/yr |
Territory Sales Manager
76
salaries
| ₹4 L/yr - ₹8.8 L/yr |
Associate Manager
69
salaries
| ₹9.2 L/yr - ₹18 L/yr |
MOJ
Chingari
Roposo
MX Takatak